<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Authentication extends Controller {
        
        public function before() {
            parent::before();
            if(UTF8::strcasecmp($this->request->action(), 'logout'))
            {
                if(Account::instance()->isSignedIn())
                {
                    $page = Request::factory(Account::instance()->offsetGet('AccountType').'/index')->execute();
                    $this->response->body($page);
                }
            }
        }
    
        public function action_sign()
        {
            if(!Account::instance()->isSignedIn())
            {
                $type = $this->request->param('type');
                if(empty($type)) $type = 'in';
                $twig = Twig::factory('sign/'.$type);
                $this->response->body($twig);
            }
        }
        
        public function action_remind()
        {
            if(!Account::instance()->isSignedIn())
            {
                $twig = Twig::factory('sign/remindpass');
                $this->response->body($twig);
            }
        }
        
        public function action_logout()
        {
            Account::instance()->signOut();
            $this->action_sign();
        }

} // End Welcome
