<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_UserEnvi extends Controller {
    protected $UserInfo;

    public function before()
    {
        if(!Account::instance()->isSignedIn())
        {
            $this->redirect('sign', 302);
        }
        else 
        {
            $this->UserInfo = Account::instance()->getInfoAsArray();
            $type = Account::instance()->offsetGet('AccountType');
            $directory = $this->request->directory();
            if(!empty($directory) && UTF8::strcasecmp($this->request->directory(), $type))
            {
                throw HTTP_Exception::factory(403, 'Не пытайтесь попасть туда, куда попадать не следует.');
            }
        }
    }
    
    public function action_index()
    {
        $page = Request::factory($this->UserInfo['AccountType'].'/index')->execute();
        $this->response->body($page);
    }
    
    public function action_profile()
    {
        $url = $this->UserInfo['AccountType']."/profile";
        if(!empty($type))
            $url .= '/'.$type;
        if(!empty($id))
            $url .= '/'.$id;
        $page = Request::factory($url)->execute();
        $this->response->body($page);
    }
	
    public function action_settings()
    {
        $page = Request::factory($this->UserInfo['AccountType'].'/settings')->execute();
        $this->response->body($page);
    }
}
